安装 Laravel 出问题了?你可能需要修改 composer.json 文件

Composer最近对pre-update-command的工作方式做了修改,该项修改会导致Laravel安装失败。

Jordi Boggiano给出了修改的原因:

如果没有composer.lock文件,初始化的“install”执行的实际是update操作,这会触发pre-update-cmd,而在此修改之前是触发pre-install-cmd

幸运的是修复这一失败很简单,只需要将php artisan clear-compiled移动到post-update-command中即可:

laravel-composer-change

学院君 has written 614 articles

资深PHP工程师,Laravel学院院长

One thought on “安装 Laravel 出问题了?你可能需要修改 composer.json 文件

发表评论

标记为*的字段是必填项(邮箱地址不会被公开)

你可以使用这些HTML 标签和属性: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>